ZMQContext
ZMQContext::getOpt
ZMQContext
PHP Manual

# ZMQContext::__construct

Construct a new ZMQContext object

### Description

ZMQContext::__construct ([ integer `$io_threads` = 1 [, boolean `$is_persistent` = true ]] )

Constructs a new ZMQ context. The context is used to initialize sockets. A persistent context is required to initialize persistent sockets.

### Parameters

`io_threads`

  Number of io-threads in the context.

`is_persistent`

  Whether the context is persistent. Persistent context is stored over multiple requests and is a requirement for persistent sockets.

### Examples

Example #1 A ZMQContext example

Construct a new context and allocate request socket from it

`<?php
/* Allocate a new context */
$context = new ZMQContext();
/* Create a new socket */
$socket = $context->getSocket(ZMQ::SOCKET_REQ, 'my sock');
/* Connect the socket */
$socket->connect("tcp://example.com:1234");
/* Send a request */
$socket->send("Hello there");
/* Receive back the response */
$message = $socket->recv();
?>`

### Return Values

Throws ZMQContextException if context initialization fails.